package net.rmi.rjs.pk.LusCs;

import gui.JInfoFrame;
import net.multicast.McastUtil;

import java.io.IOException;
import java.net.InetAddress;


public class LusRcvr extends Thread {
    private McastUtil mcu;
    public JInfoFrame jif;
    public InetAddress lusIp;
    public InetAddress ip;
    public static String IP = null;
    private String mflops = null;
    private CsRecords csRecords;
    private CsRecordFrame crf = new CsRecordFrame();


    public LusRcvr(McastUtil mcu, JInfoFrame jif, CsRecords csRecords) {
        this.jif = jif;
        this.mcu = mcu;
        this.csRecords = csRecords;
        start();                // start calls run
    }

    public void run() {
        try {
            while (true) {
                processBytes();
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    private void processBytes() throws IOException {

        BenchMarkBean bmb = BenchMarkBean.create(mcu.getBytes());
        ip = mcu.getReceiveAddress();
        lusIp = mcu.getSendAddress();
        CsRecord csr = new CsRecord();
        csr.setBmb(bmb);
        csr.setIpAddress(ip);
        csRecords.add(csr);
        jif.println(csr + "");
        crf.addPanel(csr);
       
    }


    public InetAddress getSendAddress() {
        return mcu.getSendAddress();
    }

    public static String getLusIp() throws IOException {
        System.out.println(
                "from lus my ip " +
                InetAddress.getLocalHost().getHostAddress().toString());
        return InetAddress.getLocalHost().getHostAddress().toString();
    }


}

