package video.broadcast;

import graphics.graph.ClosableFrame;
import j2d.FloatImageBean;
import video.CameraUtils;

import java.awt.*;
import java.awt.image.BufferedImage;

import gui.ClosableJFrame;
import gui.run.Run4SliderPanel;
import gui.run.Quad;

/**
 * Copyright 2005, DocJava, Inc.
 * User: dlyon
 * Date: Mar 30, 2006
 * Time: 6:22:24 PM
 */
public class ImageFrameAwt extends ClosableFrame {
    private Image img = null;

    public static void main(String[] args) {
        ImageFrameAwt IF = new ImageFrameAwt();
        IF.showParameterPanel();
        //Image background = CameraUtils.getAverageImageFromCamera();
        BufferedImage bi = CameraUtils.getWebCamImage();
        IF.setImage(bi);
        IF.setSize(bi.getWidth(IF), bi.getHeight(IF));
        IF.setVisible(true);
        //ShortImageBean sibb = new ShortImageBean(background);
        for (int i = 0; i < 1000; i++) {
            //ShortImageBean siba = new ShortImageBean(CameraUtils.getWebCamImage());
            //siba.mask(sibb);
            IF.setImage(CameraUtils.getWebCamImage());
        }
    }


    public void setImage(Image bi) {
        img = bi;
        repaint();
    }
    private Quad quad = new Quad();
    private void setQuad(Quad q){
        this.quad = q;
    }
    public void showParameterPanel(){
              ClosableJFrame cf = new ClosableJFrame();
        Container c = cf.getContentPane();
        c.setLayout(new FlowLayout());
        c.add(new Run4SliderPanel() {
            public void run() {
                setQuad(getValue());
            }
        });

        cf.setSize(400, 400);
        cf.setVisible(true);
    }
    public void paint(Graphics g) {
        g.drawImage(img, 0, 0, this);
       // FloatImageBean fib = j2d.FloatImageBean.getFibYiq(img);
        FloatImageBean fib = j2d.FloatImageBean.getFibHsb(img);
        //Point p = fib.getColorLocation(27, 95, 43, 65);
        Point p = fib.getColorLocation(quad);
        g.setColor(Color.RED);
        g.fillOval(p.x, p.y, 10, 10);
    }
}
